Main Page Class List Class Members

# Nv::Blast::IMeshFileReader Class Reference

`#include <NvBlastExtExporter.h>`

Inheritance diagram for Nv::Blast::IMeshFileReader:

List of all members.

## Public Member Functions
virtual uint32_t | getCollision (uint32_t *&hullsOffset, CollisionHull **&hulls)=0
virtual uint32_t * | getIndexArray ()=0
virtual uint32_t | getIndicesCount () const =0
virtual int32_t | getMaterialCount ()=0
virtual int32_t * | getMaterialIds ()=0
virtual const char * | getMaterialName (int32_t id)=0
virtual NvcVec3 * | getNormalsArray ()=0
virtual NvcVec3 * | getPositionArray ()=0
virtual int32_t * | getSmoothingGroups ()=0
virtual NvcVec2 * | getUvArray ()=0
virtual uint32_t | getVerticesCount () const =0
virtual bool | isCollisionLoaded ()=0
virtual void | loadFromFile (const char *filename)=0
virtual void | release ()=0

## Detailed Description

An interface for Blast mesh file reader

## Member Function Documentation

virtual uint32_t Nv::Blast::IMeshFileReader::getCollision | ( | uint32_t *& | hullsOffset,
|  | CollisionHull **& | hulls |
| ) |  |  | `[pure virtual]`

Retrieve collision geometry if it exist

Note:
  User should call NVBLAST_FREE for hulls and hullsOffset when it not needed anymore

Parameters:

  `[out]` | hullsOffset | Array of hull offsets for hulls array. The size is meshCount + 1.
  `[out]` | hulls | Array of hull. The first i-th mesh hull: hulls[hullsOffset[i]]. The size is written to hullsOffset[meshCount]

Returns:
  Number of meshes (meshCount)

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual uint32_t* Nv::Blast::IMeshFileReader::getIndexArray | ( |  | ) | `[pure virtual]`

Get loaded triangle indices

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual uint32_t Nv::Blast::IMeshFileReader::getIndicesCount | ( |  | ) | const`[pure virtual]`

Number of loaded indices

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual int32_t Nv::Blast::IMeshFileReader::getMaterialCount | ( |  | ) | `[pure virtual]`

Get material count.

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual int32_t* Nv::Blast::IMeshFileReader::getMaterialIds | ( |  | ) | `[pure virtual]`

Get loaded per triangle material ids.

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual const char* Nv::Blast::IMeshFileReader::getMaterialName | ( | int32_t | id | ) | `[pure virtual]`

Get material name.

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual NvcVec3* Nv::Blast::IMeshFileReader::getNormalsArray | ( |  | ) | `[pure virtual]`

Get loaded vertex normals

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual NvcVec3* Nv::Blast::IMeshFileReader::getPositionArray | ( |  | ) | `[pure virtual]`

Get loaded vertex positions

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual int32_t* Nv::Blast::IMeshFileReader::getSmoothingGroups | ( |  | ) | `[pure virtual]`

Get loaded per triangle smoothing groups.

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual NvcVec2* Nv::Blast::IMeshFileReader::getUvArray | ( |  | ) | `[pure virtual]`

Get loaded vertex uv-coordinates

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual uint32_t Nv::Blast::IMeshFileReader::getVerticesCount | ( |  | ) | const`[pure virtual]`

Number of loaded vertices

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual bool Nv::Blast::IMeshFileReader::isCollisionLoaded | ( |  | ) | `[pure virtual]`

Check whether file contained an collision geometry

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual void Nv::Blast::IMeshFileReader::loadFromFile | ( | const char * | filename | ) | `[pure virtual]`

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

virtual void Nv::Blast::IMeshFileReader::release | ( |  | ) | `[pure virtual]`

Delete this object

Implemented in Nv::Blast::FbxFileReader, and Nv::Blast::ObjFileReader.

The documentation for this class was generated from the following file:

- sdk/extensions/exporter/include/NvBlastExtExporter.h